WCF HTTP Activation for Dot net 4.5 on windows server 2008 R2

I need to be able to "Install the wcf http activation feature" for dot net 4.5 on server 2008 R2. (double quotes since there aren't 4.5 features in 2008 R2) I found some links saying that you need to install the 3.5 feature and install/repair dot net 4.5, but this cannot work for me, since I need it for an installation, I cannot say what happened before, and I can't install/repair 4.5 during the installation.

Thanks!
roybenjjAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

Emmanuel AdebayoGlobal Windows Infrastructure Engineer - ConsultantCommented:
Is 3.5 features already installed? If yes, all you need to do is install the 4.5 framework from the redistributable. 2008 R2 will run .NET 4.5. I'm running several WCF services under 4.5 on Win2008R2 servers at the moment.

I hope this helps
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
roybenjjAuthor Commented:
that's the problem, I can't count on this. my prerequisites is that DotNet 4.5 is installed already. I can't install it, I can only run my installation, and turn on the WCF HTTP activation "feature". this works on server 2012 since WCF HTTP activation is actually a feature, which isn't the case for 2008.
0
Emmanuel AdebayoGlobal Windows Infrastructure Engineer - ConsultantCommented:
As I have said you will need to install 3.5 and then you will need to download 4.5 binaries and installed, this is the way that we have been deploying this for all my developers.
0
roybenjjAuthor Commented:
this is well for you own environment, but how is this to be achieved when creating an installation?
am i required to bundle dotnet 4.5 with my installation? (and then install the 3.5 features, install/repair 4.5)
isn't there a way to turn this on for 4.5 existing installation, assuming it is already installed?

thanks.
0
Seth SimmonsSr. Systems AdministratorCommented:
This question has been classified as abandoned and is closed as part of the Cleanup Program. See the recommendation for more details.
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
.NET App Servers

From novice to tech pro — start learning today.

Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.